{% extends "@Paa/Default/entityFormBase.html.twig" %}
{# MC 20200903 #}
{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iid_typecaisses }}</div>
{% endblock %}

{% block formulaire %}
    {# Génération du label. #}
    {% if poForm.cnom is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {{ form_label(poForm.cnom, "Nom ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
            {{ form_widget(poForm.cnom, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
    
    
    {# Génération du label. #}
    {% if poForm.cnomdft is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {{ form_label(poForm.cnomdft, "Nom par default", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
            {{ form_widget(poForm.cnomdft, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
    
    {# Génération du label. #}
    {% if poForm.ctableusagers_caisses is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {{ form_label(poForm.ctableusagers_caisses, "Table associée", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
            {{ form_widget(poForm.ctableusagers_caisses, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

{% endblock %}
